<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepci',

    /*
     * Package.
     */
    'package'   => 'project',

    /*
     * Modules.
     */
    'modules'   => ['project'],

    
    'project'       => [
        'model' => [
            'model'                 => \Litepci\Project\Models\Project::class,
            'table'                 => 'projects',
            'presenter'             => \Litepci\Project\Repositories\Presenter\ProjectPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'status',  'users',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'project/project',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepci',
            'package'   => 'Project',
            'module'    => 'Project',
        ],

    ],
];
