<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateProjectsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: projects
         */
        Schema::create('projects', function ($table) {
            $table->increments('id');
            $table->text('title')->nullable();
            $table->enum('status', ['Started','Completed'])->nullable();
            $table->text('users')->nullable();
            $table->text('slug')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('user_type')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('projects');
    }
}
