<?php

// API routes  for project
Route::prefix('{guard}/project')->group(function () {
    Route::get('project/form/{element}', 'ProjectAPIController@form');
    Route::resource('project', 'ProjectAPIController');
});

// Public routes for project
Route::get('projects/', 'ProjectPublicController@index');
Route::get('projects/{slug?}', 'ProjectPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for projects
            Route::prefix('{guard}/project')->group(function () {
                Route::get('project/form/{element}', 'ProjectAPIController@form');
                Route::apiResource('project', 'ProjectAPIController');
            });
            // Public routes for projects
            Route::get('project/Project', 'ProjectPublicController@getProject');
        }
    );
}

