<?php

// web routes  for project
Route::prefix('{guard}/project')->group(function () {
    Route::resource('project', 'ProjectResourceController');
});

// Public routes for project
Route::get('projects/', 'ProjectPublicController@index');
Route::get('projects/{slug?}', 'ProjectPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ProjectResourceController');
            });
            // Public routes for pages
            Route::get('projects/', 'ProjectPublicController@index');
            Route::get('projects/{slug?}', 'ProjectPublicController@show');
        }
    );
}

