<?php

namespace Litepci\Project;

use User;

class Project
{
    /**
     * $project object.
     */
    protected $project;

    /**
     * Constructor.
     */
    public function __construct(\Litepci\Project\Interfaces\ProjectRepositoryInterface $project)
    {
        $this->project = $project;
    }

    /**
     * Returns count of project.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.project.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->project->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\ProjectUserCriteria());
        }

        $project = $this->project->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('project::' . $view, compact('project'))->render();
    }
}
