<?php

namespace Litepci\Project\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProjectTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Project\Models\Project $project)
    {
        return [
            'id'                => $project->getRouteKey(),
            'key'               => [
                'public'    => $project->getPublicKey(),
                'route'     => $project->getRouteKey(),
            ], 
            'title'             => $project->title,
            'users'             => $project->users,
            'slug'              => $project->slug,
            'user_id'           => $project->user_id,
            'user_type'         => $project->user_type,
            'deleted_at'        => $project->deleted_at,
            'url'               => [
                'public'    => trans_url('project/'.$project->getPublicKey()),
                'user'      => guard_url('project/project/'.$project->getRouteKey()),
            ], 
            'status'            => trans('app.'.$project->status),
            'created_at'        => format_date($project->created_at),
            'updated_at'        => format_date($project->updated_at),
        ];
    }
}